"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const prism_core_1 = __importDefault(require("./prism-core"));
prism_core_1.default.languages.apl = {
    comment: /(?:⍝|#[! ]).*$/m,
    string: {
        pattern: /'(?:[^'\r\n]|'')*'/,
        greedy: true,
    },
    number: /¯?(?:\d*\.?\b\d+(?:e[+¯]?\d+)?|¯|∞)(?:j¯?(?:(?:\d+(?:\.\d+)?|\.\d+)(?:e[+¯]?\d+)?|¯|∞))?/i,
    statement: /:[A-Z][a-z][A-Za-z]*\b/,
    'system-function': {
        pattern: /⎕[A-Z]+/i,
        alias: 'function',
    },
    constant: /[⍬⌾#⎕⍞]/,
    function: /[-+×÷⌈⌊∣|⍳⍸?*⍟○!⌹<≤=>≥≠≡≢∊⍷∪∩~∨∧⍱⍲⍴,⍪⌽⊖⍉↑↓⊂⊃⊆⊇⌷⍋⍒⊤⊥⍕⍎⊣⊢⍁⍂≈⍯↗¤→]/,
    'monadic-operator': {
        pattern: /[\\\/⌿⍀¨⍨⌶&∥]/,
        alias: 'operator',
    },
    'dyadic-operator': {
        pattern: /[.⍣⍠⍤∘⌸@⌺⍥]/,
        alias: 'operator',
    },
    assignment: {
        pattern: /←/,
        alias: 'keyword',
    },
    punctuation: /[\[;\]()◇⋄]/,
    dfn: {
        pattern: /[{}⍺⍵⍶⍹∇⍫:]/,
        alias: 'builtin',
    },
};
