"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const prism_core_1 = __importDefault(require("./prism-core"));
require("./prism-clike");
require("./prism-markup");
require("./prism-javascript");
require("./prism-markup-templating");
prism_core_1.default.languages.ejs = {
    delimiter: {
        pattern: /^<%[-_=]?|[-_]?%>$/,
        alias: 'punctuation',
    },
    comment: /^#[\s\S]*/,
    'language-javascript': {
        pattern: /[\s\S]+/,
        inside: prism_core_1.default.languages.javascript,
    },
};
prism_core_1.default.hooks.add('before-tokenize', function (env) {
    var ejsPattern = /<%(?!%)[\s\S]+?%>/g;
    prism_core_1.default.languages['markup-templating'].buildPlaceholders(env, 'ejs', ejsPattern);
});
prism_core_1.default.hooks.add('after-tokenize', function (env) {
    prism_core_1.default.languages['markup-templating'].tokenizePlaceholders(env, 'ejs');
});
prism_core_1.default.languages.eta = prism_core_1.default.languages.ejs;
