"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const prism_core_1 = __importDefault(require("./prism-core"));
require("./prism-clike");
prism_core_1.default.languages.haxe = prism_core_1.default.languages.extend('clike', {
    // Strings can be multi-line
    string: {
        pattern: /(["'])(?:(?!\1)[^\\]|\\[\s\S])*\1/,
        greedy: true,
        inside: {
            interpolation: {
                pattern: /(^|[^\\])\$(?:\w+|\{[^}]+\})/,
                lookbehind: true,
                inside: {
                    interpolation: {
                        pattern: /^\$\w*/,
                        alias: 'variable',
                    },
                },
            },
        },
    },
    // The final look-ahead prevents highlighting of keywords if expressions such as "haxe.macro.Expr"
    keyword: /\bthis\b|\b(?:abstract|as|break|case|cast|catch|class|continue|default|do|dynamic|else|enum|extends|extern|from|for|function|if|implements|import|in|inline|interface|macro|new|null|override|public|private|return|static|super|switch|throw|to|try|typedef|using|var|while)(?!\.)\b/,
    operator: /\.{3}|\+\+?|-[->]?|[=!]=?|&&?|\|\|?|<[<=]?|>[>=]?|[*\/%~^]/,
});
prism_core_1.default.languages.insertBefore('haxe', 'class-name', {
    regex: {
        pattern: /~\/(?:[^\/\\\r\n]|\\.)+\/[igmsu]*/,
        greedy: true,
    },
});
prism_core_1.default.languages.insertBefore('haxe', 'keyword', {
    preprocessor: {
        pattern: /#\w+/,
        alias: 'builtin',
    },
    metadata: {
        pattern: /@:?\w+/,
        alias: 'symbol',
    },
    reification: {
        pattern: /\$(?:\w+|(?=\{))/,
        alias: 'variable',
    },
});
prism_core_1.default.languages.haxe['string'].inside['interpolation'].inside.rest =
    prism_core_1.default.languages.haxe;
delete prism_core_1.default.languages.haxe['class-name'];
