"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const prism_core_1 = __importDefault(require("./prism-core"));
prism_core_1.default.languages.jsstacktrace = {
    'error-message': {
        pattern: /^\S.*/m,
        alias: 'string',
    },
    'stack-frame': {
        pattern: /^[ \t]+at[ \t].*/m,
        inside: {
            'not-my-code': {
                pattern: /[ \t]+at[ \t]+(?!\s)(?:node\.js|\<unknown\>|.*(?:node_modules|\(\<anonymous\>\)|\(\<unknown\>|\<anonymous\>$|\(internal\/|\(node\.js)).*/m,
                alias: 'comment',
            },
            filename: {
                pattern: /(\bat\s+(?!\s)|\()(?:[a-zA-Z]:)?[^():]+(?=:)/,
                lookbehind: true,
                alias: 'url',
            },
            function: {
                pattern: /(at\s+(?:new\s+)?)(?!\s)[_$a-zA-Z\xA0-\uFFFF<][.$\w\xA0-\uFFFF<>]*/,
                lookbehind: true,
                inside: {
                    punctuation: /\./,
                },
            },
            punctuation: /[()]/,
            keyword: /\b(?:at|new)\b/,
            alias: {
                pattern: /\[(?:as\s+)?(?!\s)[_$a-zA-Z\xA0-\uFFFF][$\w\xA0-\uFFFF]*\]/,
                alias: 'variable',
            },
            'line-number': {
                pattern: /:[0-9]+(?::[0-9]+)?\b/,
                alias: 'number',
                inside: {
                    punctuation: /:/,
                },
            },
        },
    },
};
