"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const prism_core_1 = __importDefault(require("./prism-core"));
require("./prism-clike");
require("./prism-markup");
require("./prism-markup-templating");
require("./prism-php");
prism_core_1.default.languages.latte = {
    comment: /^\{\*[\s\S]*/,
    ld: {
        pattern: /^\{(?:[=_]|\/?(?!\d|\w+\()\w+|)/,
        inside: {
            punctuation: /^\{\/?/,
            tag: {
                pattern: /.+/,
                alias: 'important',
            },
        },
    },
    rd: {
        pattern: /\}$/,
        inside: {
            punctuation: /.+/,
        },
    },
    php: {
        pattern: /\S(?:[\s\S]*\S)?/,
        alias: 'language-php',
        inside: prism_core_1.default.languages.php,
    },
};
var markupLatte = prism_core_1.default.languages.extend('markup', {});
prism_core_1.default.languages.insertBefore('inside', 'attr-value', {
    'n-attr': {
        pattern: /n:[\w-]+(?:\s*=\s*(?:"[^"]*"|'[^']*'|[^\s'">=]+))?/,
        inside: {
            'attr-name': {
                pattern: /^[^\s=]+/,
                alias: 'important',
            },
            'attr-value': {
                pattern: /=[\s\S]+/,
                inside: {
                    punctuation: [
                        /^=/,
                        {
                            pattern: /^(\s*)["']|["']$/,
                            lookbehind: true,
                        },
                    ],
                    php: {
                        pattern: /\S(?:[\s\S]*\S)?/,
                        inside: prism_core_1.default.languages.php,
                    },
                },
            },
        },
    },
}, markupLatte.tag);
prism_core_1.default.hooks.add('before-tokenize', function (env) {
    if (env.language !== 'latte') {
        return;
    }
    var lattePattern = /\{\*[\s\S]*?\*\}|\{[^'"\s{}*](?:[^"'/{}]|\/(?![*/])|("|')(?:\\[\s\S]|(?!\1)[^\\])*\1|\/\*(?:[^*]|\*(?!\/))*\*\/)*?\}/g;
    prism_core_1.default.languages['markup-templating'].buildPlaceholders(env, 'latte', lattePattern);
    env.grammar = markupLatte;
});
prism_core_1.default.hooks.add('after-tokenize', function (env) {
    prism_core_1.default.languages['markup-templating'].tokenizePlaceholders(env, 'latte');
});
