"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const prism_core_1 = __importDefault(require("./prism-core"));
prism_core_1.default.languages.roboconf = {
    comment: /#.*/,
    keyword: {
        pattern: /(^|\s)(?:(?:facet|instance of)(?=[ \t]+[\w-]+[ \t]*\{)|(?:external|import)\b)/,
        lookbehind: true,
    },
    component: {
        pattern: /[\w-]+(?=[ \t]*\{)/,
        alias: 'variable',
    },
    property: /[\w.-]+(?=[ \t]*:)/,
    value: {
        pattern: /(=[ \t]*(?![ \t]))[^,;]+/,
        lookbehind: true,
        alias: 'attr-value',
    },
    optional: {
        pattern: /\(optional\)/,
        alias: 'builtin',
    },
    wildcard: {
        pattern: /(\.)\*/,
        lookbehind: true,
        alias: 'operator',
    },
    punctuation: /[{},.;:=]/,
};
