"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const prism_core_1 = __importDefault(require("./prism-core"));
require("./prism-css");
prism_core_1.default.languages.sass = prism_core_1.default.languages.extend('css', {
    // Sass comments don't need to be closed, only indented
    comment: {
        pattern: /^([ \t]*)\/[\/*].*(?:(?:\r?\n|\r)\1[ \t].+)*/m,
        lookbehind: true,
    },
});
prism_core_1.default.languages.insertBefore('sass', 'atrule', {
    // We want to consume the whole line
    'atrule-line': {
        // Includes support for = and + shortcuts
        pattern: /^(?:[ \t]*)[@+=].+/m,
        inside: {
            atrule: /(?:@[\w-]+|[+=])/m,
        },
    },
});
delete prism_core_1.default.languages.sass.atrule;
var variable = /\$[-\w]+|#\{\$[-\w]+\}/;
var operator = [
    /[+*\/%]|[=!]=|<=?|>=?|\b(?:and|or|not)\b/,
    {
        pattern: /(\s+)-(?=\s)/,
        lookbehind: true,
    },
];
prism_core_1.default.languages.insertBefore('sass', 'property', {
    // We want to consume the whole line
    'variable-line': {
        pattern: /^[ \t]*\$.+/m,
        inside: {
            punctuation: /:/,
            variable: variable,
            operator: operator,
        },
    },
    // We want to consume the whole line
    'property-line': {
        pattern: /^[ \t]*(?:[^:\s]+ *:.*|:[^:\s].*)/m,
        inside: {
            property: [
                /[^:\s]+(?=\s*:)/,
                {
                    pattern: /(:)[^:\s]+/,
                    lookbehind: true,
                },
            ],
            punctuation: /:/,
            variable: variable,
            operator: operator,
            important: prism_core_1.default.languages.sass.important,
        },
    },
});
delete prism_core_1.default.languages.sass.property;
delete prism_core_1.default.languages.sass.important;
// Now that whole lines for other patterns are consumed,
// what's left should be selectors
prism_core_1.default.languages.insertBefore('sass', 'punctuation', {
    selector: {
        pattern: /([ \t]*)\S(?:,[^,\r\n]+|[^,\r\n]*)(?:,[^,\r\n]+)*(?:,(?:\r?\n|\r)\1[ \t]+\S(?:,[^,\r\n]+|[^,\r\n]*)(?:,[^,\r\n]+)*)*/,
        lookbehind: true,
    },
});
