"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const prism_core_1 = __importDefault(require("./prism-core"));
require("./prism-clike");
require("./prism-markup");
require("./prism-markup-templating");
prism_core_1.default.languages.tt2 = prism_core_1.default.languages.extend('clike', {
    comment: /#.*|\[%#[\s\S]*?%\]/,
    keyword: /\b(?:BLOCK|CALL|CASE|CATCH|CLEAR|DEBUG|DEFAULT|ELSE|ELSIF|END|FILTER|FINAL|FOREACH|GET|IF|IN|INCLUDE|INSERT|LAST|MACRO|META|NEXT|PERL|PROCESS|RAWPERL|RETURN|SET|STOP|TAGS|THROW|TRY|SWITCH|UNLESS|USE|WHILE|WRAPPER)\b/,
    punctuation: /[[\]{},()]/,
});
prism_core_1.default.languages.insertBefore('tt2', 'number', {
    operator: /=[>=]?|!=?|<=?|>=?|&&|\|\|?|\b(?:and|or|not)\b/,
    variable: {
        pattern: /\b[a-z]\w*(?:\s*\.\s*(?:\d+|\$?[a-z]\w*))*\b/i,
    },
});
prism_core_1.default.languages.insertBefore('tt2', 'keyword', {
    delimiter: {
        pattern: /^(?:\[%|%%)-?|-?%]$/,
        alias: 'punctuation',
    },
});
prism_core_1.default.languages.insertBefore('tt2', 'string', {
    'single-quoted-string': {
        pattern: /'[^\\']*(?:\\[\s\S][^\\']*)*'/,
        greedy: true,
        alias: 'string',
    },
    'double-quoted-string': {
        pattern: /"[^\\"]*(?:\\[\s\S][^\\"]*)*"/,
        greedy: true,
        alias: 'string',
        inside: {
            variable: {
                pattern: /\$(?:[a-z]\w*(?:\.(?:\d+|\$?[a-z]\w*))*)/i,
            },
        },
    },
});
// The different types of TT2 strings "replace" the C-like standard string
delete prism_core_1.default.languages.tt2.string;
prism_core_1.default.hooks.add('before-tokenize', function (env) {
    var tt2Pattern = /\[%[\s\S]+?%\]/g;
    prism_core_1.default.languages['markup-templating'].buildPlaceholders(env, 'tt2', tt2Pattern);
});
prism_core_1.default.hooks.add('after-tokenize', function (env) {
    prism_core_1.default.languages['markup-templating'].tokenizePlaceholders(env, 'tt2');
});
