"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const prism_core_1 = __importDefault(require("./prism-core"));
require("./prism-markup");
/**
 * If the given language is present, it will insert the given doc comment grammar token into it.
 *
 * @param {string} lang
 * @param {any} docComment
 */
function insertDocComment(lang, docComment) {
    if (prism_core_1.default.languages[lang]) {
        prism_core_1.default.languages.insertBefore(lang, 'comment', {
            'doc-comment': docComment,
        });
    }
}
var tag = prism_core_1.default.languages.markup.tag;
var slashDocComment = {
    pattern: /\/\/\/.*/,
    greedy: true,
    alias: 'comment',
    inside: {
        tag: tag,
    },
};
var tickDocComment = {
    pattern: /'''.*/,
    greedy: true,
    alias: 'comment',
    inside: {
        tag: tag,
    },
};
insertDocComment('csharp', slashDocComment);
insertDocComment('fsharp', slashDocComment);
insertDocComment('vbnet', tickDocComment);
